' #####################################
' Graphs 
' #####################################
pageselect monthly
smpl 1963:7 2022:12

delete fig_1*
%TYPE="fig_1"
delete {%TYPE}*
graph  {%TYPE}.line lport_ff_hi10 lport_ff_lo10  lport_mkt
	 {%TYPE}.axis grid zeroline
	 {%TYPE}.option linepat	' need to set linepat
	{%TYPE}.draw(line,left,rgb(180,180,180)) 0
	 {%TYPE}.elem(1) lcolor(red)  lwidth(1.25) 'symbol(filledcircle) symbolsize(l)
	 {%TYPE}.elem(2) lcolor(blue)  lwidth(1.25) 'symbol(star) symbolsize(l)
      {%TYPE}.elem(3) lcolor(green)  lwidth(1.25) 'symbol(filledcircle) symbolsize(l)
 	 {%TYPE}.name(1)  Value Portfolio
	 {%TYPE}.name(2)   Growth Portfolio  
       {%TYPE}.name(3)  Market Portfolio
     '{%TYPE}.draw(line, bottom, color(blue), width(2), pattern(1)) 8/3/2020
	 {%TYPE}.addtext(t) "Market, Value and Growth Portfolio in the US  "


delete fig_2*
%TYPE="fig_2"
delete {%TYPE}*
graph  {%TYPE}.line ff_r_value_la ff_r_growth_la ff_r_mkt_la
	 {%TYPE}.axis grid zeroline
	 {%TYPE}.option linepat	' need to set linepat
	{%TYPE}.draw(line,left,rgb(180,180,180)) 0
	 {%TYPE}.elem(1) lcolor(red)  lwidth(1.25) 'symbol(filledcircle) symbolsize(l)
	 {%TYPE}.elem(2) lcolor(blue)  lwidth(1.25) 'symbol(star) symbolsize(l)
      {%TYPE}.elem(3) lcolor(green)  lwidth(1.25) 'symbol(filledcircle) symbolsize(l)
 	 {%TYPE}.name(1)  Value Portfolio
	 {%TYPE}.name(2)  Growth Portfolio  
       {%TYPE}.name(3)  Market Portfolio
     '{%TYPE}.draw(line, bottom, color(blue), width(2), pattern(1)) 8/3/2020
	 {%TYPE}.addtext(t) "Market, Value and Growth Portfolio Annual Returns in the US  "



