' #####################################
' Graphs 
' #####################################
pageselect annual
smpl 1963 2023
delete fig_3*
%TYPE="fig_3"
delete {%TYPE}*
graph  {%TYPE}.line l_p_sp l_p_sp_trend
	 {%TYPE}.axis grid zeroline
	 {%TYPE}.option linepat	' need to set linepat
	{%TYPE}.draw(line,left,rgb(180,180,180)) 0
	 {%TYPE}.elem(1) lcolor(red)  lwidth(1.25) 'symbol(filledcircle) symbolsize(l)
	 {%TYPE}.elem(2) lcolor(blue)  lwidth(1.25) 'symbol(star) symbolsize(l)
      {%TYPE}.elem(3) lcolor(green)  lwidth(1.25) 'symbol(filledcircle) symbolsize(l)
 	 {%TYPE}.name(1)  log Market Index
	 {%TYPE}.name(2)  Estimated Stochastic Trend   
       {%TYPE}.name(3)  
     '{%TYPE}.draw(line, bottom, color(blue), width(2), pattern(1)) 8/3/2020
	 {%TYPE}.addtext(t) "Actual and fitted Long-run trends in US Stock Market  "


delete fig_4*
%TYPE="fig_4"
delete {%TYPE}*
graph  {%TYPE}.line r_p_sp_l  r_p_sp_l_fit
	 {%TYPE}.axis grid zeroline
	 {%TYPE}.option linepat	' need to set linepat
	{%TYPE}.draw(line,left,rgb(180,180,180)) 0
	 {%TYPE}.elem(1) lcolor(red)  lwidth(1.25) 'symbol(filledcircle) symbolsize(l)
	 {%TYPE}.elem(2) lcolor(blue)  lwidth(1.25) 'symbol(star) symbolsize(l)
      {%TYPE}.elem(3) lcolor(green)  lwidth(1.25) 'symbol(filledcircle) symbolsize(l)
 	 {%TYPE}.name(1)  Annual Stock Market Returns
	 {%TYPE}.name(2)  Predicted Annual Stock Market returns using deviation from equilibrium  
       {%TYPE}.name(3)  
     '{%TYPE}.draw(line, bottom, color(blue), width(2), pattern(1)) 8/3/2020
	 {%TYPE}.addtext(t) "Actual and predicted annual stock market returns"

delete fig_5*
%TYPE="fig_5"
delete {%TYPE}*
graph  {%TYPE}.line r_p_sp_l l_p_sp_dis(-1)
	 {%TYPE}.axis grid zeroline
	 {%TYPE}.option linepat	' need to set linepat
	{%TYPE}.draw(line,left,rgb(180,180,180)) 0
	 {%TYPE}.elem(1) lcolor(red)  lwidth(1.25) 'symbol(filledcircle) symbolsize(l)
	 {%TYPE}.elem(2) lcolor(blue)  lwidth(1.25) 'symbol(star) symbolsize(l)
      {%TYPE}.elem(3) lcolor(green)  lwidth(1.25) 'symbol(filledcircle) symbolsize(l)
 	 {%TYPE}.name(1)  Annual Stock Market Returns
	 {%TYPE}.name(2)  Deviations from long-run trend  
       {%TYPE}.name(3)  
     '{%TYPE}.draw(line, bottom, color(blue), width(2), pattern(1)) 8/3/2020
	 {%TYPE}.addtext(t) "annual stock market returns in yeat t+1 and deviations from trend at the end of year t "


