' #####################################
' Graphs 
' #####################################
pageselect annual
smpl 1950 2022
delete fig_6*
%TYPE="fig_6"
delete {%TYPE}*
graph  {%TYPE}.line l_div l_div_simm l_div_simh l_div_siml
	 {%TYPE}.axis grid zeroline
	 {%TYPE}.option linepat	' need to set linepat
	{%TYPE}.draw(line,left,rgb(180,180,180)) 0
	 {%TYPE}.elem(1) lcolor(red)  lwidth(1.25) 'symbol(filledcircle) symbolsize(l)
	 {%TYPE}.elem(2) lcolor(blue)  lwidth(1.25) 'symbol(star) symbolsize(l)
      {%TYPE}.elem(3) lcolor(green)  lwidth(1.25) 'symbol(filledcircle) symbolsize(l)
      {%TYPE}.elem(4) lcolor(green)  lwidth(1.25) 'symbol(filledcircle) symbolsize(l)
 	 {%TYPE}.name(1)  log dividends
	 {%TYPE}.name(2)  log dividends simulated    
      ' {%TYPE}.name(3)  
     {%TYPE}.draw(line, bottom, color(blue), width(2), pattern(1)) 1991
	 {%TYPE}.addtext(t) "Actual and simulated dividends "

delete fig_7*
%TYPE="fig_7"
delete {%TYPE}*
graph  {%TYPE}.line l_p_sp l_p_sp_simm l_p_sp_simh l_p_sp_siml
	 {%TYPE}.axis grid zeroline
	 {%TYPE}.option linepat	' need to set linepat
	{%TYPE}.draw(line,left,rgb(180,180,180)) 0
	 {%TYPE}.elem(1) lcolor(red)  lwidth(1.25) 'symbol(filledcircle) symbolsize(l)
	 {%TYPE}.elem(2) lcolor(blue)  lwidth(1.25) 'symbol(star) symbolsize(l)
      {%TYPE}.elem(3) lcolor(green)  lwidth(1.25) 'symbol(filledcircle) symbolsize(l)
      {%TYPE}.elem(4) lcolor(green)  lwidth(1.25) 'symbol(filledcircle) symbolsize(l)
 	 {%TYPE}.name(1)  log stock market index
	 {%TYPE}.name(2)  log stock market index simulated    
      ' {%TYPE}.name(3)  
     {%TYPE}.draw(line, bottom, color(blue), width(2), pattern(1)) 1991
	 {%TYPE}.addtext(t) "Actual and simulated stock market index "

delete fig_8*
%TYPE="fig_8"
delete {%TYPE}*
graph  {%TYPE}.line l_p_sp l_p_sp_simm l_p_sp_sim1m
	 {%TYPE}.axis grid zeroline
	 {%TYPE}.option linepat	' need to set linepat
	{%TYPE}.draw(line,left,rgb(180,180,180)) 0
	 {%TYPE}.elem(1) lcolor(red)  lwidth(1.25) 'symbol(filledcircle) symbolsize(l)
	 {%TYPE}.elem(2) lcolor(blue)  lwidth(1.25) 'symbol(star) symbolsize(l)
      {%TYPE}.elem(3) lcolor(green)  lwidth(1.25) 'symbol(filledcircle) symbolsize(l)
     ' {%TYPE}.elem(4) lcolor(green)  lwidth(1.25) 'symbol(filledcircle) symbolsize(l)
 	 {%TYPE}.name(1)  log stock market index
	 {%TYPE}.name(2)  log stock market index simulated no demographics
      {%TYPE}.name(3)  log stock market index simulated with demographics
      {%TYPE}.draw(line, bottom, color(blue), width(2), pattern(1)) 1991
	 {%TYPE}.addtext(t) "Actual and simulated stock market index "



